import math

'''
Оформление кода
https://pythonchik.ru/osnovy/imenovanie-v-python


Функция - именованный блок кода который выполняет определенную
задачу или возвращает значение.

Функция - набор операторов, которые возвращают некоторое значение 
вызывающему объекту. В функцию также может быть передано ноль или 
более аргументов, которые могут использоваться при выполнении тела функции.

def f():
    print("QWERTY")

def f():
    print("ABC")

f()
f()

Выведет:
ABC
ABC

Функция перезатрет первую def f()

Любая функция в python возвращает значение. Значение возвращается при
помощи оператора return. Если функция не содержит оператор return,
то по умолчанию такая функция вернет значение None.

Функция должна выполнять только одну операцию. Она должна выполнять ее
хорошо. И ничего другого она делать не должна. Если функция выполняет
только те действия, которые находятся на одном уровне под объявленным
именем функции, то эта функция выполняет одну операцию.

Будьте последовательны в выражениях возврата: либо все операторы return
в функции должны возвращать выражение, либо ни один из них не должен. 
Если какой-либо оператор return возвращает выражение, то оставшиеся 
операторы return тоже должны явно возвращать значение, не смотря на то,
что python по умолчанию возвращает None. 

'''

def get_reverse(data: str):
    return data[-1::-1]

def generate_n_chars(n, s):
    return s*n


def print_histogram(data):
    for i in data:
        print('*'*i)


def count_words(data):
    ret = 0
    for i in data.strip().split(' '):
        if i != '':
            ret += 1
    return ret


def main():
    # print_histogram([1, 2, 3])
    # print(test_1('hello'))
    print(count_words('   hello     bro   '))
    



if __name__ == '__main__':
    main()